#
# spec file for package neochat
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _kf5_version 5.77.0
%bcond_without  lang
Name:           neochat
Version:        1.2.0
Release:        bp154.1.35
Summary:        A chat client for Matrix, the decentralized communication protocol
License:        BSD-2-Clause AND GPL-3.0-only AND GPL-3.0-or-later
Group:          Productivity/Networking/Instant Messenger
URL:            https://www.kde.org
Source0:        https://download.kde.org/stable/neochat/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  cmake >= 3.1
BuildRequires:  cmark
BuildRequires:  extra-cmake-modules >= %{_kf5_version}
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
BuildRequires:  pkgconfig
BuildRequires:  cmake(KF5Config) >= %{_kf5_version}
BuildRequires:  cmake(KF5CoreAddons) >= %{_kf5_version}
BuildRequires:  cmake(KF5DBusAddons) >= %{_kf5_version}
BuildRequires:  cmake(KF5Declarative) >= %{_kf5_version}
BuildRequires:  cmake(KF5I18n) >= %{_kf5_version}
BuildRequires:  cmake(KF5IconThemes) >= %{_kf5_version}
BuildRequires:  cmake(KF5Kirigami2) >= %{_kf5_version}
BuildRequires:  cmake(KF5Notifications) >= %{_kf5_version}
BuildRequires:  cmake(KF5QQC2DesktopStyle) >= %{_kf5_version}
BuildRequires:  cmake(KQuickImageEditor) >= 0.1
BuildRequires:  cmake(Qt5Core) >= 5.15.0
BuildRequires:  cmake(Qt5Gui) >= 5.15.0
BuildRequires:  cmake(Qt5Keychain)
BuildRequires:  cmake(Qt5Multimedia) >= 5.15.0
BuildRequires:  cmake(Qt5Quick) >= 5.15.0
BuildRequires:  cmake(Qt5QuickControls2) >= 5.15.0
BuildRequires:  cmake(Qt5Svg) >= 5.15.0
BuildRequires:  cmake(Qt5Widgets) >= 5.15.0
BuildRequires:  cmake(Quotient) >= 0.6.3
BuildRequires:  pkgconfig(libcmark)
Requires:       kirigami2
Requires:       kitemmodels-imports
Requires:       kquickimageeditor-imports
Requires:       libQt5Multimedia5
Requires:       libqt5-qtgraphicaleffects
Requires:       libqt5-qtquickcontrols
Requires:       libqt5-qtquickcontrols2
%if %{with lang}
Source1:        https://download.kde.org/stable/neochat/%{version}/%{name}-%{version}.tar.xz.sig
Source2:        %{name}.keyring
%endif

%description
Neochat is a client for Matrix, the decentralized communication protocol for instant
messaging.

%lang_package

%prep
%autosetup -p1

%build
%cmake_kf5 -d build
%cmake_build

%install
%kf5_makeinstall -C build
%fdupes %{buildroot}

%if %{with lang}
    %find_lang %{name} --all-name
%endif

%files
%license LICENSES/*
%doc README*
%{_kf5_bindir}/neochat
%{_kf5_applicationsdir}/org.kde.neochat.desktop
%dir %{_kf5_iconsdir}/hicolor/*
%dir %{_kf5_iconsdir}/hicolor/*/apps
%{_kf5_iconsdir}/hicolor/*/apps/org.kde.neochat*.svg
%{_kf5_appstreamdir}/org.kde.neochat.appdata.xml
%{_kf5_notifydir}/neochat.notifyrc

%if %{with lang}
%files lang -f %{name}.lang
%endif

%changelog
* Sat Jun 26 2021 ecsos <ecsos@opensuse.org>
- Fix build error.
  - Add missig cmark which will not be install with libcmark-devel.
* Tue Jun  1 2021 Paolo Stivanin <info@paolostivanin.com>
- Update to 1.2.0
  * major UI redesign
  * chage page is now using bubbles
  * it's now possible to send custom reactions by replying
    to a comment with /react <message>
  * now supports opening Matrix URI from the web browser
* Thu Feb 25 2021 ecsos <ecsos@opensuse.org>
- Update to 1.1.1
  - First launch experience improvements
  - Allow logins to servers requiring SSO
  - Display stickers
  - Allow editing messages
  - Multimodal mode to open a room into a new window
  - New chat commands
  - Better Plasma integration
* Mon Feb 15 2021 Tomas Cech <sleep_walker@opensuse.org>
- Add missing require libqt5-qtquickcontrols again.
* Sat Jan 16 2021 Luca Beltrame <lbeltrame@kde.org>
- Adjust spec file to conform to the KDE team's guidelines
* Wed Jan 13 2021 ecsos <ecsos@opensuse.org>
- Update to 1.0.1
  - NeoChat doesn't require a .well-know configuration in the
    server to work.
  - Edited messages won’t show up duplicated anymore.
  - NeoChat now ask for consent to terms and conditions if required
    instead of displaying nothing.
  - Users avatar in the room list are now displayed correctly.
  - Fix image saving
  - Various graphic glitches have been fixed.
- Switch source from invent.kde.org to download.kde.org, because in
  git is not always the newest tar.
- Add language subpackages.
* Mon Jan  4 2021 ecsos <ecsos@opensuse.org>
- Add missing require libqt5-qtquickcontrols.
* Wed Dec 23 2020 ecsos <ecsos@opensuse.org>
- Change from git version to version 1.0
* Mon Nov 23 2020 Dead Mozay <dead_mozay@opensuse.org>
- Initial package
